> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# 会話評価を実行

POST https://api.elevenlabs.io/v1/convai/conversations/{conversation_id}/analysis/evaluations/run
Content-Type: application/json

会話に対して特定の評価を再実行します。

Reference: https://elevenlabs.io/docs/api-reference/conversations/analysis/run-evaluation

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `conversation_id` (string, required) — 会話のID

### Body (application/json)

This endpoint expects a RunConversationEvaluationsRequest.

- `evaluation_id` (string, required) — 再実行する単一の評価基準のID。
- `scope` (enum, optional, default: conversation)
  - Allowed values: `conversation`, `agent`

## Response

### 200

成功レスポンス。

- `agent_id` (string, required)
- `status` (enum, required)
  - Allowed values: `initiated`, `in-progress`, `processing`, `done`, `failed`
- `metadata` (ConversationHistoryMetadataCommonModel, required)
- `conversation_id` (string, required)
- `has_audio` (boolean, required)
- `has_user_audio` (boolean, required)
- `has_response_audio` (boolean, required)
- `has_auxiliary_audio` (boolean, required)
- `transcript` (list of ConversationHistoryTranscriptResponseModel, required)
- `agent_name` (string, optional, nullable)
- `conversation_product` (string, optional, default: agent)
- `user_id` (string, optional, nullable)
- `branch_id` (string, optional, nullable)
- `version_id` (string, optional, nullable) — この会話で使用されたエージェントバージョンのID
- `analysis` (ConversationHistoryAnalysisCommonModel, optional, nullable)
- `visited_agents` (list of VisitedAgentRef, optional)
- `conversation_initiation_client_data` (ConversationInitiationClientDataRequest-Output, optional)
- `environment` (string, optional, default: production)
- `tag_ids` (list of string, optional) — この会話に割り当てられた会話タグID。
- `otlp_traces` (map from string to any, optional, nullable) — リクエストでformat=opentelemetryを使用する場合のOpenTelemetryトレースペイロードです。それ以外の場合は省略されます。

## Errors

### 422 Unprocessable Entity Error

検証エラー

- `detail` (list of ValidationError, optional)

## Types

### ConversationHistoryMetadataCommonModel

- `start_time_unix_secs` (integer, required)
- `call_duration_secs` (integer, required)
- `cost_fiat` (double, required, nullable) — 会話の合計法定通貨コスト（USD）。LLM料金と非LLMプラットフォーム料金の合計です（``cost``の法定通貨版）。いずれも設定されていない場合は``None``です（例：法定通貨コスト追跡より前の会話）。
- `accepted_time_unix_secs` (integer, optional, nullable)
- `queue_wait_secs` (double, optional, nullable) — 発信者が同時実行待機キューで待機した秒数です。call_duration_secsおよび請求時間には含まれません。会話がキューに入らなかった場合はNoneです。
- `cost` (integer, optional, nullable)
- `deletion_settings` (ConversationDeletionSettings, optional)
- `feedback` (ConversationHistoryFeedbackCommonModel, optional)
- `authorization_method` (enum, optional, default: public)
  - Allowed values: `invalid`, `public`, `authorization_header`, `signed_url`, `shareable_link`, `livekit_token`, `livekit_token_website`, `genesys_api_key`, `avaya_api_key`, `audiocodes_api_key`, `whatsapp`, `sms`
- `charging` (ConversationChargingCommonModel, optional)
- `phone_call` (ConversationHistoryMetadataCommonModelPhoneCall, optional, nullable)
- `batch_call` (ConversationHistoryBatchCallModel, optional, nullable)
- `termination_reason` (string, optional, default: )
- `error` (ConversationHistoryErrorCommonModel, optional, nullable)
- `warnings` (list of string, optional)
- `main_language` (string, optional, nullable)
- `rag_usage` (ConversationHistoryRagUsageCommonModel, optional, nullable)
- `text_only` (boolean, optional, default: false)
- `features_usage` (FeaturesUsageCommonModel, optional)
- `eleven_assistant` (ConversationHistoryElevenAssistantCommonModel, optional)
- `initiator_id` (string, optional, nullable)
- `conversation_initiation_source` (enum, optional, default: unknown) — 会話開始に使用できるソースを表す列挙型です。
  - Allowed values: `unknown`, `android_sdk`, `node_js_sdk`, `react_native_sdk`, `react_sdk`, `js_sdk`, `python_sdk`, `widget`, `sip_trunk`, `twilio`, `exotel`, `genesys`, `avaya`, `audiocodes`, `swift_sdk`, `whatsapp`, `twilio_sms`, `flutter_sdk`, `zendesk_integration`, `slack_integration`, `telegram_integration`, `intercom_integration`, `freshdesk_integration`, `salesforce_integration`, `template_preview`, `genesys_bot_connector`, `subagent_tool`
- `conversation_initiation_source_version` (string, optional, nullable)
- `timezone` (string, optional, nullable)
- `async_metadata` (AsyncConversationMetadata, optional, nullable) — 非同期会話配信（Zendesk、Slackなど）のメタデータ。
- `whatsapp` (WhatsAppConversationInfo, optional, nullable)
- `sms` (SMSConversationInfo, optional, nullable)
- `agent_created_from` (enum, optional, default: unknown)
  - Allowed values: `cli`, `ui`, `api`, `template`, `unknown`
- `agent_last_updated_from` (enum, optional, default: unknown)
  - Allowed values: `cli`, `ui`, `api`, `template`, `unknown`
- `voice_rewards` (list of ConversationVoiceRewardModel, optional)

### ConversationHistoryTranscriptResponseModel

- `role` (enum, required)
  - Allowed values: `user`, `agent`
- `time_in_call_secs` (integer, required)
- `agent_metadata` (AgentMetadata, optional, nullable)
- `message` (string, optional, nullable)
- `multivoice_message` (ConversationHistoryMultivoiceMessageModel, optional, nullable) — マルチボイスエージェントからのメッセージを表します。
- `tool_calls` (list of ConversationHistoryTranscriptToolCallCommonModel-Output, optional)
- `tool_results` (list of ConversationHistoryTranscriptResponseModelToolResultsItems, optional)
- `feedback` (UserFeedback, optional, nullable)
- `llm_override` (string, optional, nullable)
- `producing_llm` (string, optional, nullable)
- `conversation_turn_metrics` (ConversationTurnMetrics, optional, nullable)
- `rag_retrieval_info` (RagRetrievalInfo, optional, nullable)
- `llm_usage` (LLMUsage-Output, optional, nullable)
- `interrupted` (boolean, optional, default: false)
- `ignored_as_backchannel` (boolean, optional, default: false)
- `platform_event` (enum, optional, nullable)
  - Allowed values: `user_turn_timeout`, `skip_turn_wait_elapsed`
- `original_message` (string, optional, nullable)
- `reasoning` (list of ConversationReasoningModel, optional)
- `source_medium` (enum, optional, nullable)
  - Allowed values: `audio`, `dtmf`, `text`, `image`, `file`
- `source_event_id` (integer, optional, nullable)
- `used_static_kb_document_ids` (list of string, optional)
- `user_identifier` (string, optional, nullable)
- `id` (string, optional, nullable)
- `triggered_guardrails` (list of TriggeredGuardrailCommonModel, optional)
- `file_input` (ConversationHistoryTranscriptFileInputResponseModel, optional, nullable) — 非推奨：このターンの最初の添付ファイルです。すべての添付ファイルを確認するには`file_inputs`を使用してください。
- `file_inputs` (list of ConversationHistoryTranscriptFileInputResponseModel, optional) — このターンに添付されたすべてのファイル。ユーザーが添付した順序で並びます。
- `contextual_update_info` (ContextualUpdateInfo, optional, nullable)
- `reasoned` (boolean, optional, default: false)

### ConversationHistoryAnalysisCommonModel

- `call_successful` (enum, required)
  - Allowed values: `success`, `failure`, `unknown`
- `transcript_summary` (string, required)
- `evaluation_criteria_results` (map from string to ConversationHistoryEvaluationCriteriaResultCommonModel, optional)
- `data_collection_results` (map from string to DataCollectionResultCommonModel, optional)
- `evaluation_criteria_results_list` (list of ConversationHistoryEvaluationCriteriaResultCommonModel, optional)
- `data_collection_results_list` (list of DataCollectionResultCommonModel, optional)
- `call_success_score` (double, optional, nullable)
- `call_summary_title` (string, optional, nullable)
- `scoped` (list of ScopedAnalysisResult, optional)

### VisitedAgentRef

通話に参加したエージェント（および任意のブランチ）。トランスクリプトで最初に出現した順序です。

- `agent_id` (string, required)
- `branch_id` (string, optional, nullable)

### ConversationInitiationClientDataRequest-Output

- `conversation_config_override` (ConversationConfigClientOverride-Output, optional)
- `custom_llm_extra_body` (map from string to any, optional)
- `user_id` (string, optional, nullable) — この会話に参加するエンドユーザーのID（エージェントオーナーによるユーザー識別用）
- `source_info` (ConversationInitiationSourceInfo, optional) — 会話開始元に関する情報
- `branch_id` (string, optional, nullable) — この会話で使用するエージェントブランチのID
- `environment` (string, optional, nullable) — 環境変数の解決に使用する環境
- `starting_workflow_node_id` (string, optional, nullable) — 設定すると、デフォルトのエントリではなくこのノードIDからワークフローを開始します
- `procedure_ids` (list of string, optional, nullable) — 設定した場合、開始エージェントで利用できるのはこれらのプロシージャのみです。各IDはそのエージェントに紐付けられている必要があります。不明なIDがあると会話の開始に失敗します。空のリストは、そのエージェントのすべてのプロシージャを無効にします。エージェント転送後には適用されません。enable_procedure_ids_from_clientが必要です。
- `dynamic_variables` (map from string to any, optional)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ConversationDeletionSettings

- `deletion_time_unix_secs` (integer, optional, nullable)
- `deleted_logs_at_time_unix_secs` (integer, optional, nullable)
- `deleted_audio_at_time_unix_secs` (integer, optional, nullable)
- `deleted_transcript_at_time_unix_secs` (integer, optional, nullable)
- `delete_transcript_and_pii` (boolean, optional, default: false)
- `delete_audio` (boolean, optional, default: false)

### ConversationHistoryFeedbackCommonModel

- `type` (enum, optional, nullable)
  - Allowed values: `thumbs`, `rating`
- `overall_score` (enum, optional, nullable)
  - Allowed values: `like`, `dislike`
- `likes` (integer, optional, default: 0)
- `dislikes` (integer, optional, default: 0)
- `rating` (integer, optional, nullable)
- `comment` (string, optional, nullable)

### ConversationChargingCommonModel

- `dev_discount` (boolean, optional, default: false)
- `is_burst` (boolean, optional, default: false)
- `tier` (string, optional, nullable)
- `llm_usage` (LLMCategoryUsage, optional)
- `llm_price` (double, optional, nullable)
- `llm_charge` (integer, optional, nullable)
- `call_charge` (integer, optional, nullable)
- `platform_charge` (integer, optional, nullable)
- `platform_usage` (PlatformUsage, optional) — ``platform_charge``のカテゴリ別内訳（``llm_usage``に相当）。
- `platform_price` (double, optional, nullable)
- `free_minutes_consumed` (double, optional, default: 0)
- `free_llm_dollars_consumed` (double, optional, default: 0)
- `tts_usage` (ConversationTTSUsageModel, optional, nullable) — 会話の集計済みTTS使用量（分析専用であり、請求には使用されません）。
- `asr_usage` (ConversationASRUsageModel, optional, nullable) — 会話の集計済みASR使用量（分析専用であり、請求には使用されません）。
- `analysis` (AnalysisCharging, optional, nullable) — この会話で通話後分析を実行するコスト。 請求の有無にかかわらず、分析が実行されると表示されます。

### ConversationHistoryMetadataCommonModelPhoneCall

- `type`: `exotel` (ConversationHistoryExotelPhoneCallModel)
  - `agent_number` (string, required)
  - `call_sid` (string, required)
  - `direction` (enum, required, default: inbound)
    - Allowed values: `inbound`, `outbound`
  - `external_number` (string, required)
  - `phone_number_id` (string, required)
  - `stream_sid` (string, required)
  - `call_result` (enum, optional, nullable)
    - Allowed values: `answered`, `voicemail`, `busy`, `no_answer`, `failed`
- `type`: `sip_trunking` (ConversationHistorySIPTrunkingPhoneCallModel)
  - `agent_number` (string, required)
  - `call_sid` (string, required)
  - `direction` (enum, required, default: inbound)
    - Allowed values: `inbound`, `outbound`
  - `external_number` (string, required)
  - `phone_number_id` (string, required)
  - `call_id` (string, optional, nullable)
  - `call_result` (enum, optional, nullable)
    - Allowed values: `answered`, `voicemail`, `busy`, `no_answer`, `failed`
  - `sip_header_dynamic_variables` (map from string to string, optional)
- `type`: `twilio` (ConversationHistoryTwilioPhoneCallModel)
  - `agent_number` (string, required)
  - `call_sid` (string, required)
  - `direction` (enum, required, default: inbound)
    - Allowed values: `inbound`, `outbound`
  - `external_number` (string, required)
  - `phone_number_id` (string, required)
  - `stream_sid` (string, required)
  - `call_result` (enum, optional, nullable)
    - Allowed values: `answered`, `voicemail`, `busy`, `no_answer`, `failed`

### ConversationHistoryBatchCallModel

- `batch_call_id` (string, required)
- `batch_call_recipient_id` (string, required)
- `campaign` (BatchCallingCampaignInformation, optional, nullable)

### ConversationHistoryErrorCommonModel

- `code` (integer, required)
- `reason` (string, optional, nullable)

### ConversationHistoryRagUsageCommonModel

- `usage_count` (integer, required)
- `embedding_model` (string, required)

### FeaturesUsageCommonModel

- `language_detection` (FeatureStatusCommonModel, optional)
- `transfer_to_agent` (FeatureStatusCommonModel, optional)
- `transfer_to_number` (FeatureStatusCommonModel, optional)
- `multivoice` (FeatureStatusCommonModel, optional)
- `dtmf_tones` (FeatureStatusCommonModel, optional)
- `external_mcp_servers` (FeatureStatusCommonModel, optional)
- `pii_zrm_workspace` (boolean, optional, default: false)
- `pii_zrm_agent` (boolean, optional, default: false)
- `tool_dynamic_variable_updates` (FeatureStatusCommonModel, optional)
- `is_livekit` (boolean, optional, default: false)
- `voicemail_detection` (FeatureStatusCommonModel, optional)
- `dtmf_input` (FeatureStatusCommonModel, optional)
- `workflow` (WorkflowFeaturesUsageCommonModel, optional)
- `agent_testing` (TestsFeatureUsageCommonModel, optional)
- `versioning` (FeatureStatusCommonModel, optional)
- `file_input` (FeatureStatusCommonModel, optional)
- `freeform_procedure` (FeatureStatusCommonModel, optional)
- `structured_procedure` (FeatureStatusCommonModel, optional)

### ConversationHistoryElevenAssistantCommonModel

- `is_eleven_assistant` (boolean, optional, default: false)

### AsyncConversationMetadata

非同期会話配信（Zendesk、Slackなど）のメタデータ。

- `delivery_status` (enum, required)
  - Allowed values: `pending`, `success`, `failed`
- `delivery_timestamp` (integer, required)
- `external_system` (string, required)
- `external_id` (string, required)
- `delivery_error` (string, optional, nullable)
- `external_link` (string, optional, nullable)
- `retry_count` (integer, optional, default: 0)
- `last_retry_timestamp` (integer, optional, nullable)
- `last_processed_external_message_id` (string, optional, nullable)

### WhatsAppConversationInfo

- `whatsapp_user_id` (string, required)
- `direction` (enum, optional, default: unknown)
  - Allowed values: `inbound`, `outbound`, `unknown`
- `whatsapp_phone_number_id` (string, optional, nullable)
- `awaiting_first_user_message` (boolean, optional, nullable)
- `recipient` (WhatsAppRecipient, optional, nullable) — 電話番号および／またはBSUIDで指定するWhatsAppユーザーです。いずれか一方が必要な場合は、電話番号が優先されます。
- `call_permission_request` (WhatsAppCallPermissionRequest, optional, nullable)

### SMSConversationInfo

- `direction` (enum, required)
  - Allowed values: `inbound`, `outbound`
- `sms_user_phone_number` (string, required)
- `phone_number_id` (string, optional, nullable)
- `agent_phone_number` (string, optional, nullable)

### ConversationVoiceRewardModel

- `voice_id` (string, required)
- `reward_usd_cents` (double, required)

### AgentMetadata

- `agent_id` (string, required)
- `branch_id` (string, optional, nullable)
- `workflow_node_id` (string, optional, nullable)
- `version_id` (string, optional, nullable)

### ConversationHistoryMultivoiceMessageModel

マルチボイスエージェントからのメッセージを表します。

- `parts` (list of ConversationHistoryMultivoiceMessagePartModel, required)

### ConversationHistoryTranscriptToolCallCommonModel-Output

- `request_id` (string, required)
- `tool_name` (string, required)
- `params_as_json` (string, required)
- `tool_has_been_called` (boolean, required)
- `type` (enum, optional, nullable)
  - Allowed values: `system`, `webhook`, `client`, `mcp`, `workflow`, `api_integration_webhook`, `api_integration_mcp`, `smb`
- `tool_id` (string, optional, nullable) — 呼び出されたツールのIDです。システムツールなど、IDを持たないツールには設定されません。
- `tool_details` (ConversationHistoryTranscriptToolCallCommonModelOutputToolDetails, optional, nullable)

### ConversationHistoryTranscriptResponseModelToolResultsItems

### UserFeedback

- `score` (enum, required)
  - Allowed values: `like`, `dislike`
- `time_in_call_secs` (integer, required)

### ConversationTurnMetrics

- `metrics` (map from string to MetricRecord, optional)
- `convai_asr_provider` (string, optional, nullable)
- `convai_tts_model` (string, optional, nullable)
- `convai_tts_cascade` (string, optional, nullable)
- `voice_id` (string, optional, nullable)

### RagRetrievalInfo

- `chunks` (list of RagChunkMetadata, required)
- `embedding_model` (enum, required, default: e5_mistral_7b_instruct)
  - Allowed values: `e5_mistral_7b_instruct`, `multilingual_e5_large_instruct`
- `retrieval_query` (string, required)
- `rag_latency_secs` (double, required)
- `used_chunk_ids` (list of string, optional)

### LLMUsage-Output

- `model_usage` (map from string to LLMInputOutputTokensUsage, optional)

### ConversationReasoningModel

- `summary` (string, optional, nullable)
- `provider_redact` (boolean, optional, default: false)

### TriggeredGuardrailCommonModel

- `guardrail_type` (enum, required)
  - Allowed values: `custom`, `prompt_injection`, `self_harm_intent`, `violence_graphic`, `sexual`, `violence`, `harassment`, `sexual_minors`, `self_harm`, `self_harm_instructions`, `harassment_threatening`, `hate`, `hate_threatening`, `profanity`, `religion_or_politics`, `medical_and_legal`, `guardrail`
- `guardrail_name` (string, optional, nullable)

### ConversationHistoryTranscriptFileInputResponseModel

- `file_id` (string, required)
- `original_filename` (string, required)
- `mime_type` (string, required)
- `file_url` (string, required)

### ContextualUpdateInfo

- `context_id` (string, required) — 関連するコンテキスト更新をグループ化する、クライアント指定の識別子。
- `is_superseded` (boolean, optional, default: false) — このコンテキスト更新が、同じcontext_idを持つより新しい更新に置き換えられた場合はtrueです。

### ConversationHistoryEvaluationCriteriaResultCommonModel

- `criteria_id` (string, required)
- `result` (enum, required)
  - Allowed values: `success`, `failure`, `unknown`
- `rationale` (string, required)
- `scoring_mode` (enum, optional, nullable, default: binary)
  - Allowed values: `binary`, `numeric_uniform`
- `score` (integer, optional, nullable)
- `max_score` (integer, optional, nullable)

### DataCollectionResultCommonModel

- `data_collection_id` (string, required)
- `rationale` (string, required)
- `name` (string, optional, nullable)
- `value` (any, optional)
- `json_schema` (LiteralJsonSchemaProperty, optional, nullable) — リテラルJSON型のスキーマプロパティです。重要：設定できるのは、description（LLMが値を提供）、dynamic_variable（変数からの値）、is_system_provided（システムが値を提供）、constant_value（固定値）、is_omitted（パラメータを省略）のうち1つだけです。これらは相互排他的です。

### ScopedAnalysisResult

- `scope` (enum, required, default: conversation) — 分析の範囲。「conversation」は文字起こし全体を使用し、「agent」は定義元エージェントがアクティブだった部分のみを使用します。
  - Allowed values: `conversation`, `agent`
- `source_agent_id` (string, required)
- `successful` (enum, required)
  - Allowed values: `success`, `failure`, `unknown`
- `source_branch_id` (string, optional, nullable) — このスコープ付きブロックのエージェントブランチです。重複するagent_idを区別します。
- `evaluation_criteria_results` (map from string to ConversationHistoryEvaluationCriteriaResultCommonModel, optional)
- `data_collection_results` (map from string to DataCollectionResultCommonModel, optional)
- `success_score` (double, optional, nullable)

### ConversationConfigClientOverride-Output

- `asr` (ASRConversationalConfigOverride, optional, nullable) — 会話用文字起こしの設定
- `turn` (TurnConfigOverride, optional, nullable) — ターン検出の設定
- `tts` (TTSConversationalConfigOverride, optional, nullable) — 会話用テキスト読み上げの設定
- `conversation` (ConversationConfigOverride, optional, nullable) — 会話イベントの設定
- `agent` (AgentConfigOverride-Output, optional, nullable) — エージェント固有の設定

### ConversationInitiationSourceInfo

会話開始元に関する情報

- `source` (enum, optional, nullable, default: unknown) — 会話開始元
  - Allowed values: `unknown`, `android_sdk`, `node_js_sdk`, `react_native_sdk`, `react_sdk`, `js_sdk`, `python_sdk`, `widget`, `sip_trunk`, `twilio`, `exotel`, `genesys`, `avaya`, `audiocodes`, `swift_sdk`, `whatsapp`, `twilio_sms`, `flutter_sdk`, `zendesk_integration`, `slack_integration`, `telegram_integration`, `intercom_integration`, `freshdesk_integration`, `salesforce_integration`, `template_preview`, `genesys_bot_connector`, `subagent_tool`
- `version` (string, optional, nullable) — SDKバージョン番号

### ValidationErrorLocItems

### LLMCategoryUsage

- `irreversible_generation` (LLMUsage-Output, optional)
- `initiated_generation` (LLMUsage-Output, optional)

### PlatformUsage

``platform_charge``のカテゴリ別内訳（``llm_usage``に相当）。

- `category_usage` (map from string to PlatformCategoryUsage, optional)

### ConversationTTSUsageModel

会話の集計済みTTS使用量（分析専用であり、請求には使用されません）。

- `primary_tts_model` (string, optional, nullable)
- `total_audio_output_seconds` (double, optional, default: 0)
- `total_characters` (integer, optional, default: 0)
- `per_voice_usage` (list of ConversationVoiceUsageModel, optional)

### ConversationASRUsageModel

会話の集計済みASR使用量（分析専用であり、請求には使用されません）。

- `asr_model` (string, optional, nullable)
- `total_transcription_calls` (integer, optional, default: 0)
- `total_audio_input_seconds` (double, optional, default: 0)

### AnalysisCharging

この会話で通話後分析を実行するコスト。 請求の有無にかかわらず、分析が実行されると表示されます。

- `total` (AnalysisRunningTotal, required) — この会話に対する通話後分析の実行にかかるLLMコストの累計。
- `last_run` (AnalysisRunSnapshot, required) — この会話に対する最新の通話後分析パスのLLMコスト。

### BatchCallingCampaignInformation

- `campaign_id` (string, required)
- `campaign_lead_id` (string, required)
- `cold_attempt` (integer, optional, nullable)
- `conversation_type` (enum, optional, nullable)
  - Allowed values: `initial`, `retry`, `callback`, `redirect`

### FeatureStatusCommonModel

- `enabled` (boolean, optional, default: false)
- `used` (boolean, optional, default: false)

### WorkflowFeaturesUsageCommonModel

- `enabled` (boolean, optional, default: false)
- `tool_node` (FeatureStatusCommonModel, optional)
- `standalone_agent_node` (FeatureStatusCommonModel, optional)
- `phone_number_node` (FeatureStatusCommonModel, optional)
- `end_node` (FeatureStatusCommonModel, optional)
- `override_agent_node` (FeatureStatusCommonModel, optional)

### TestsFeatureUsageCommonModel

- `enabled` (boolean, optional, default: false)
- `tests_ran_after_last_modification` (boolean, optional, default: false)
- `tests_ran_in_last_7_days` (boolean, optional, default: false)

### WhatsAppRecipient

電話番号および／またはBSUIDで指定するWhatsAppユーザーです。いずれか一方が必要な場合は、電話番号が優先されます。

- `phone` (string, optional, nullable)
- `bsuid` (string, optional, nullable)

### WhatsAppCallPermissionRequest

- `state` (enum, required)
  - Allowed values: `blocked`, `sent`, `accepted`, `declined`
- `requested_at_unix` (integer, optional, nullable)

### ConversationHistoryMultivoiceMessagePartModel

マルチボイスメッセージの単一音声パートを表します。

- `text` (string, required)
- `voice_label` (string, required, nullable)
- `time_in_call_secs` (integer, required, nullable)

### ConversationHistoryTranscriptToolCallCommonModelOutputToolDetails

- `type`: `api_integration_webhook` (ConversationHistoryTranscriptToolCallApiIntegrationWebhookDetails)
  - `credential_id` (string, required, default: )
  - `integration_connection_id` (string, required, default: )
  - `integration_id` (string, required, default: )
  - `webhook_details` (ConversationHistoryTranscriptToolCallWebhookDetails, required)
- `type`: `client` (ConversationHistoryTranscriptToolCallClientDetails)
  - `parameters` (string, required)
- `type`: `mcp` (ConversationHistoryTranscriptToolCallMCPDetails)
  - `approval_policy` (string, required)
  - `integration_type` (string, required)
  - `mcp_server_id` (string, required)
  - `mcp_server_name` (string, required)
  - `mcp_tool_description` (string, optional, default: )
  - `mcp_tool_name` (string, optional, default: )
  - `parameters` (map from string to string, optional)
  - `requires_approval` (boolean, optional, default: false)
- `type`: `webhook` (ConversationHistoryTranscriptToolCallWebhookDetails)
  - `method` (string, required)
  - `url` (string, required)
  - `body` (string, optional, nullable)
  - `headers` (map from string to string, optional)
  - `path_params` (map from string to string, optional)
  - `query_params` (map from string to string, optional)

### ConversationHistoryTranscriptOtherToolsResultCommonModel

- `request_id` (string, required)
- `tool_name` (string, required)
- `result_value` (string, required)
- `is_error` (boolean, required)
- `tool_has_been_called` (boolean, required)
- `is_blocked` (boolean, optional, default: false)
- `tool_latency_secs` (double, optional, default: 0)
- `error_type` (string, optional, default: )
- `raw_error_message` (string, optional, default: )
- `dynamic_variable_updates` (list of DynamicVariableUpdateCommonModel, optional)
- `type` (enum, optional, nullable)
  - Allowed values: `client`, `webhook`, `mcp`, `code`

### ConversationHistoryTranscriptSystemToolResultCommonModel-Output

- `request_id` (string, required)
- `tool_name` (string, required)
- `result_value` (string, required)
- `is_error` (boolean, required)
- `tool_has_been_called` (boolean, required)
- `type` ("system", required)
- `is_blocked` (boolean, optional, default: false)
- `tool_latency_secs` (double, optional, default: 0)
- `error_type` (string, optional, default: )
- `raw_error_message` (string, optional, default: )
- `dynamic_variable_updates` (list of DynamicVariableUpdateCommonModel, optional)
- `result` (ConversationHistoryTranscriptSystemToolResultCommonModelOutputResult, optional, nullable)

### ConversationHistoryTranscriptApiIntegrationWebhookToolsResultCommonModel-Output

- `request_id` (string, required)
- `tool_name` (string, required)
- `result_value` (string, required)
- `is_error` (boolean, required)
- `is_blocked` (boolean, required, default: false)
- `tool_has_been_called` (boolean, required)
- `tool_latency_secs` (double, required, default: 0)
- `error_type` (string, required, default: )
- `raw_error_message` (string, required, default: )
- `dynamic_variable_updates` (list of DynamicVariableUpdateCommonModel, required)
- `type` ("api_integration_webhook", required)
- `integration_id` (string, required, default: )
- `credential_id` (string, required, default: )
- `integration_connection_id` (string, required, default: )

### ConversationHistoryTranscriptWorkflowToolsResultCommonModel-Output

- `request_id` (string, required)
- `tool_name` (string, required)
- `result_value` (string, required)
- `is_error` (boolean, required)
- `tool_has_been_called` (boolean, required)
- `type` ("workflow", required)
- `is_blocked` (boolean, optional, default: false)
- `tool_latency_secs` (double, optional, default: 0)
- `error_type` (string, optional, default: )
- `raw_error_message` (string, optional, default: )
- `dynamic_variable_updates` (list of DynamicVariableUpdateCommonModel, optional)
- `result` (WorkflowToolResponseModel-Output, optional, nullable) — ワークフローツールのレスポンスに共通するモデルです。

### MetricRecord

- `elapsed_time` (double, required)

### RagChunkMetadata

- `document_id` (string, required)
- `chunk_id` (string, required)
- `vector_distance` (double, required)

### LLMInputOutputTokensUsage

- `input` (LLMTokensCategoryUsage, optional)
- `input_cache_read` (LLMTokensCategoryUsage, optional)
- `input_cache_write` (LLMTokensCategoryUsage, optional)
- `output_total` (LLMTokensCategoryUsage, optional)

### LiteralJsonSchemaProperty

リテラルJSON型のスキーマプロパティです。重要：設定できるのは、description（LLMが値を提供）、dynamic_variable（変数からの値）、is_system_provided（システムが値を提供）、constant_value（固定値）、is_omitted（パラメータを省略）のうち1つだけです。これらは相互排他的です。

- `type` (LiteralJsonSchemaPropertyType, required)
- `description` (string, optional, default: ) — プロパティの説明。設定すると、LLMはこの説明に基づいて値を提供します。dynamic_variable、is_system_provided、constant_value、is_omittedとは併用できません。
- `enum` (list of string, optional, nullable) — List of allowed string values for string type parameters
- `is_system_provided` (boolean, optional, default: false) — trueの場合、値は実行時にシステムによって設定されます。API Integration Webhookツールでテンプレート化に使用されます。description、dynamic_variable、constant_value、is_omittedとは併用できません。
- `dynamic_variable` (string, optional, default: ) — このプロパティの値に使用する動的変数の名前。description、is_system_provided、constant_value、is_omittedとは併用できません。
- `allowed_values` (AllowedValues, optional, nullable) — LLMが提供する値に対するサーバー側の拒否ガードです。ランタイムは、このオブジェクトで指定された許可セット外の値を拒否します。このセットはenumとしてLLMには公開されません。値のソースが`description`の場合のみサポートされ、dynamic_variable、is_system_provided、constant_value、is_omittedとの組み合わせは拒否されます。
- `constant_value` (LiteralJsonSchemaPropertyConstantValue, optional, nullable, default: ) — このプロパティに使用する定数値です。description、dynamic_variable、is_system_provided、is_omittedとは同時に使用できません。
- `is_omitted` (boolean, optional, default: false) — trueの場合、このパラメータはリクエストから完全に省略されます。任意パラメータでのみ有効です。description、dynamic_variable、is_system_provided、constant_valueとは併用できません。
- `allowed_values_dynamic_variable` (string, optional, default: , deprecated) — 非推奨：代わりに`allowed_values`を使用してください。設定すると、LLMが値を提供しますが、実行時にはこの動的変数が保持するリストにない値を拒否します（["ws_alpha", "ws_beta"]のようなJSON配列である必要があります）。LLMがサーバー検証済みのセット（例：現在のユーザーにアクセスが許可されているID）から選択できるようにする場合に使用します。descriptionが必要です。dynamic_variable、is_system_provided、constant_value、is_omittedとは同時に使用できません。

### ASRConversationalConfigOverride

- `keywords` (list of string, optional, nullable) — 予測確率を高めるキーワード

### TurnConfigOverride

- `soft_timeout_config` (SoftTimeoutConfigOverride, optional, nullable) — ソフトタイムアウト機能の設定です。長いLLMレスポンスの処理中に即時フィードバックを提供します。

### TTSConversationalConfigOverride

- `model_id` (enum, optional, nullable, default: eleven_v4_turbo) — TTSに使用するモデル。
  - Allowed values: `eleven_turbo_v2`, `eleven_turbo_v2_5`, `eleven_flash_v2`, `eleven_flash_v2_5`, `eleven_multilingual_v2`, `eleven_v3_conversational`, `eleven_v4`, `eleven_v4_turbo`
- `voice_id` (string, optional, nullable) — TTSに使用する音声ID
- `supported_voices` (list of SupportedVoice, optional, nullable) — エージェントで追加対応する音声
- `stability` (double, optional, nullable) — 生成された音声の安定性
- `speed` (double, optional, nullable) — 生成された音声の速度
- `similarity_boost` (double, optional, nullable) — 生成された音声の類似性ブースト
- `pronunciation_dictionary_locators` (list of PydanticPronunciationDictionaryVersionLocator, optional, nullable) — 発音辞書ロケーター

### ConversationConfigOverride

- `text_only` (boolean, optional, nullable) — 有効にするとオーディオは処理されず、テキストのみが使用されます。オーディオ料金を回避するために使用します。
- `max_duration_seconds` (integer, optional, nullable) — 会話の最大時間（秒）。

### AgentConfigOverride-Output

- `first_message` (string, optional, nullable) — 空でない場合、エージェントが最初に発するメッセージです。空の場合、エージェントはユーザーが会話を開始するのを待ちます。
- `language` (string, optional, nullable) — エージェントの言語（ASRおよびTTSで使用）
- `max_conversation_duration_message` (string, optional, nullable) — 空でない場合、会話の最大時間に達したときにエージェントが送信するメッセージです。
- `prompt` (PromptAgentAPIModelOverride-Output, optional, nullable) — エージェント用のプロンプト

### PlatformCategoryUsage

単一の:class:`PlatformCategory`に対する累積料金。

- `credits` (integer, optional, default: 0)
- `price` (double, optional, default: 0)
- `quantity` (double, optional, default: 0)

### ConversationVoiceUsageModel

- `voice_id` (string, required)
- `audio_output_seconds` (double, optional, default: 0)

### AnalysisRunningTotal

この会話に対する通話後分析の実行にかかるLLMコストの累計。

- `price` (double, optional, default: 0)
- `charge` (integer, optional, default: 0)
- `runs` (integer, optional, default: 0)
- `price_per_feature` (map from string to double, optional)
- `charge_per_feature` (map from string to integer, optional)

### AnalysisRunSnapshot

この会話に対する最新の通話後分析パスのLLMコスト。

- `price` (double, optional, default: 0)
- `charge` (integer, optional, default: 0)
- `price_per_feature` (map from string to double, optional)
- `charge_per_feature` (map from string to integer, optional)

### ConversationHistoryTranscriptToolCallWebhookDetails

- `method` (string, required)
- `url` (string, required)
- `headers` (map from string to string, optional)
- `path_params` (map from string to string, optional)
- `query_params` (map from string to string, optional)
- `body` (string, optional, nullable)

### DynamicVariableUpdateCommonModel

ツール実行中に発生した動的変数の更新を追跡します。

- `variable_name` (string, required)
- `old_value` (string, required, nullable)
- `new_value` (string, required)
- `updated_at` (double, required)
- `tool_name` (string, required)
- `tool_request_id` (string, required)

### ConversationHistoryTranscriptSystemToolResultCommonModelOutputResult

- `result_type`: `dummy` (DummyToolResultModel)
- `result_type`: `end_call_success` (EndCallToolResultModel)
  - `message` (string, optional, nullable)
  - `reason` (string, optional, nullable)
  - `status` ("success", optional, default: success)
- `result_type`: `end_procedure_error` (EndProcedureToolResultErrorModel)
  - `message` (string, required)
  - `status` (enum, required)
    - Allowed values: `not_found`, `invalid_id`
  - `procedure_id` (string, optional, nullable)
- `result_type`: `end_procedure_success` (EndProcedureToolResultSuccessModel)
  - `procedure_id` (string, required)
  - `procedure_name` (string, required)
  - `message` (string, optional, default: )
  - `status` ("success", optional, default: success)
- `result_type`: `knowledge_base_rag_success` (KnowledgeBaseRagToolResultModel)
  - `chunk_count` (integer, optional, default: 0) — 取得した関連チャンク数
  - `chunks` (list of KnowledgeBaseRagChunkModel, optional) — 取得されたチャンク。rag-result-in-tool-resultモードでのみ設定されます
  - `message` (string, optional, default: Referenced knowledge base.) — 検索結果に関するLLM向けの人間が読めるステータス
  - `status` (enum, optional, default: success)
    - Allowed values: `success`, `no_documents`, `no_results`
- `result_type`: `knowledge_base_success` (KnowledgeBaseToolResultModel)
  - `chunk_count` (integer, optional, default: 0)
  - `message` (string, optional, default: Referenced knowledge base.)
  - `status` (enum, optional, default: success)
    - Allowed values: `success`, `no_matching_documents`, `no_results`
- `result_type`: `language_detection_success` (LanguageDetectionToolResultModel)
  - `language` (string, optional, nullable)
  - `reason` (string, optional, nullable)
  - `status` ("success", optional, default: success)
- `result_type`: `play_dtmf_error` (PlayDTMFResultErrorModel)
  - `error` (string, required)
  - `details` (string, optional, nullable)
  - `status` ("error", optional, default: error)
- `result_type`: `play_dtmf_success` (PlayDTMFResultSuccessModel)
  - `dtmf_tones` (string, required)
  - `reason` (string, optional, nullable)
  - `status` ("success", optional, default: success)
- `result_type`: `skip_turn_success` (SkipTurnToolResponseModel)
  - `reason` (string, optional, nullable)
  - `status` ("success", optional, default: success)
- `result_type`: `start_procedure_error` (StartProcedureToolResultErrorModel)
  - `message` (string, required)
  - `status` (enum, required)
    - Allowed values: `not_found`, `invalid_name`, `already_active`
  - `procedure_id` (string, optional, nullable)
- `result_type`: `start_procedure_success` (StartProcedureToolResultSuccessModel)
  - `procedure_id` (string, required)
  - `procedure_name` (string, required)
  - `message` (string, optional, default: Procedure is now started. Follow its instructions from the <active-procedures> section of your system prompt.)
  - `procedure_entry_workflow_node` (string, optional, nullable)
  - `procedure_return_workflow_node` (string, optional, nullable)
  - `status` ("success", optional, default: success)
- `result_type`: `testing_tool_result` (TestToolResultModel)
  - `reason` (string, optional, default: Skipping tool call in test mode)
  - `status` ("success", optional, default: success)
- `result_type`: `transfer_to_agent_error` (TransferToAgentToolResultErrorModel)
  - `error` (string, required)
  - `from_agent` (string, required)
  - `status` ("error", optional, default: error)
- `result_type`: `transfer_to_agent_success` (TransferToAgentToolResultSuccessModel)
  - `condition` (string, required)
  - `from_agent` (string, required)
  - `to_agent` (string, required)
  - `branch_info` (TransferToAgentToolResultSuccessModelOutputBranchInfo, optional, nullable)
  - `delay_ms` (integer, optional, default: 0)
  - `enable_transferred_agent_first_message` (boolean, optional, default: false)
  - `preserve_client_tts_overrides` (boolean, optional, default: false)
  - `preserve_voice_settings` (boolean, optional, default: false)
  - `status` ("success", optional, default: success)
  - `to_node` (string, optional, nullable)
  - `transfer_message` (string, optional, nullable)
- `result_type`: `transfer_to_number_amazon_connect_success` (TransferToNumberResultAmazonConnectSuccessModel)
  - `client_message` (string, optional, nullable) — セッションがAmazon Connectに戻される前に、発信者へ読み上げるメッセージ。
  - `note` (string, optional, nullable) — エージェントが無効なオプションを返し、設定済みの唯一のオプションが使用された場合に設定されます。
  - `reason` (string, optional, nullable) — Escalateの結果とともにAmazon Connectへ送信される、エージェントがエスカレーションした理由。
  - `status` ("success", optional, default: success)
- `result_type`: `transfer_to_number_error` (TransferToNumberResultErrorModel)
  - `error` (string, required)
  - `details` (string, optional, nullable)
  - `status` ("error", optional, default: error)
- `result_type`: `transfer_to_number_exotel_success` (TransferToNumberResultExotelSuccessModel)
  - `transfer_number` (string, required)
  - `agent_message` (string, optional, nullable)
  - `note` (string, optional, nullable)
  - `reason` (string, optional, nullable)
  - `status` ("success", optional, default: success)
- `result_type`: `transfer_to_number_sip_success` (TransferToNumberResultSipSuccessModel)
  - `transfer_number` (string, required)
  - `note` (string, optional, nullable)
  - `reason` (string, optional, nullable)
  - `status` ("success", optional, default: success)
- `result_type`: `transfer_to_number_twilio_success` (TransferToNumberResultTwilioSuccessModel)
  - `agent_message` (string, required)
  - `conference_name` (string, required)
  - `transfer_number` (string, required)
  - `client_message` (string, optional, nullable)
  - `note` (string, optional, nullable)
  - `post_dial_digits` (string, optional, nullable)
  - `reason` (string, optional, nullable)
  - `status` ("success", optional, default: success)
- `result_type`: `voicemail_detection_success` (VoiceMailDetectionResultSuccessModel)
  - `reason` (string, optional, nullable)
  - `status` ("success", optional, default: success)
  - `voicemail_message` (string, optional, nullable)

### WorkflowToolResponseModel-Output

ワークフローツールのレスポンスに共通するモデルです。

- `steps` (list of WorkflowToolResponseModelOutputStepsItems, optional)

### LLMTokensCategoryUsage

- `tokens` (integer, optional, default: 0)
- `price` (double, optional, default: 0)

### LiteralJsonSchemaPropertyType

### AllowedValues

- `dynamic_variable` (string, required) — 許可された値のJSON配列に解決される必要がある動的変数の名前（例：["ws_alpha", "ws_beta"]）。システム変数は、リストに解決される場合にのみ機能します。

### LiteralJsonSchemaPropertyConstantValue

このプロパティに使用する定数値です。description、dynamic_variable、is_system_provided、is_omittedとは同時に使用できません。

### SoftTimeoutConfigOverride

- `message` (string, optional, nullable) — LLM応答の待機中に最初のソフトタイムアウトに達したときに表示するメッセージ。動的変数（例：\{\{system\_\_time}}、\{\{custom\_variable}}）に対応しています。
- `additional_soft_timeout_messages` (list of string, optional, nullable) — 同じLLM生成内で後続のソフトタイムアウト時に使用する追加の固定フィラーメッセージです。最初のタイムアウトでは`message`を使用します。設定されているメッセージ数が`max_soft_timeouts_per_generation`より少ない場合は、最後に設定されたメッセージを繰り返します。それ以外の場合は、組み込みのフィラーを使用します。

### SupportedVoice

- `label` (string, required)
- `voice_id` (string, required)
- `description` (string, optional, nullable)
- `language` (string, optional, nullable)
- `model_family` (enum, optional, nullable)
  - Allowed values: `turbo`, `flash`, `multilingual`, `v3_conversational`, `v4`, `v4_turbo`
- `optimize_streaming_latency` (enum, optional, nullable)
  - Allowed values: `0`, `1`, `2`, `3`, `4`
- `stability` (double, optional, nullable)
- `speed` (double, optional, nullable)
- `similarity_boost` (double, optional, nullable)

### PydanticPronunciationDictionaryVersionLocator

他のドキュメントが特定の辞書とそのバージョンを参照できるようにするロケーターです。 これはPronunciationDictionaryVersionLocatorDBModelのPydanticバージョンです。 他のエージェントデータモデルとの互換性を確保するために必要です。

- `pronunciation_dictionary_id` (string, required) — 発音辞書のID
- `version_id` (string, required, nullable) — 発音辞書バージョンのID

### PromptAgentAPIModelOverride-Output

- `prompt` (string, optional, nullable) — エージェント用のプロンプト
- `llm` (enum, optional, nullable) — プロンプトとチャット履歴を使用してクエリするLLM。データレジデンシーを使用する場合、LLMはデータレジデンシー環境でサポートされている必要があります。
  - Allowed values: `gpt-4o-mini`, `gpt-4o`, `gpt-4`, `gpt-4-turbo`, `gpt-4.1`, `gpt-4.1-mini`, `gpt-4.1-nano`, `gpt-5`, `gpt-5.1`, `gpt-5.2`, `gpt-5.2-chat-latest`, `gpt-5.4`, `gpt-5.4-mini`, `gpt-5.4-nano`, `gpt-5.5`, `gpt-5.6-sol`, `gpt-5.6-terra`, `gpt-5.6-luna`, `gpt-6-astra`, `gpt-6-sol`, `gpt-6-luna`, `gpt-6.1-sol`, `gpt-5-mini`, `gpt-5-nano`, `gpt-3.5-turbo`, `gemini-1.5-pro`, `gemini-1.5-flash`, `gemini-2.0-flash`, `gemini-2.0-flash-lite`, `gemini-2.5-flash-lite`, `gemini-2.5-flash`, `gemini-3-pro-preview`, `gemini-3-flash-preview`, `gemini-3.1-pro-preview`, `gemini-3.1-flash-lite-preview`, `gemini-3.1-flash-lite`, `gemini-3.5-flash`, `gemini-3.5-flash-lite`, `gemini-3.6-flash`, `gemini-3.7-flash`, `gemini-3.8-flash`, `gemini-4-argon`, `claude-sonnet-4-5`, `claude-opus-4-6`, `claude-opus-4-7`, `claude-opus-4-8`, `claude-opus-5`, `claude-opus-5-5`, `claude-sonnet-4-6`, `claude-sonnet-5`, `claude-sonnet-5-5`, `claude-sonnet-4`, `claude-haiku-4-5`, `claude-haiku-5-5`, `claude-3-7-sonnet`, `claude-3-5-sonnet`, `claude-3-5-sonnet-v1`, `claude-3-haiku`, `grok-beta`, `custom-llm`, `qwen3-4b`, `qwen3-30b-a3b`, `qwen36-35b-a3b`, `qwen35-397b-a17b`, `gpt-oss-20b`, `gpt-oss-120b`, `glm-45-air-fp8`, `glm-52`, `deepseek-v41-flash`, `nemotron-35-super-vl-nvfp4`, `gemini-2.5-flash-preview-09-2025`, `gemini-2.5-flash-lite-preview-09-2025`, `gemini-2.5-flash-preview-05-20`, `gemini-2.5-flash-preview-04-17`, `gemini-2.5-flash-lite-preview-06-17`, `gemini-2.0-flash-lite-001`, `gemini-2.0-flash-001`, `gemini-1.5-flash-002`, `gemini-1.5-flash-001`, `gemini-1.5-pro-002`, `gemini-1.5-pro-001`, `claude-sonnet-4@20250514`, `claude-sonnet-4-5@20250929`, `claude-haiku-4-5@20251001`, `claude-3-7-sonnet@20250219`, `claude-3-5-sonnet@20240620`, `claude-3-5-sonnet-v2@20241022`, `claude-3-haiku@20240307`, `gpt-5-2025-08-07`, `gpt-5.1-2025-11-13`, `gpt-5.2-2025-12-11`, `gpt-5.4-2026-03-05`, `gpt-5.4-mini-2026-03-17`, `gpt-5.4-nano-2026-03-17`, `gpt-5.5-2026-04-23`, `gpt-5-mini-2025-08-07`, `gpt-5-nano-2025-08-07`, `gpt-4.1-2025-04-14`, `gpt-4.1-mini-2025-04-14`, `gpt-4.1-nano-2025-04-14`, `gpt-4o-mini-2024-07-18`, `gpt-4o-2024-11-20`, `gpt-4o-2024-08-06`, `gpt-4o-2024-05-13`, `gpt-4-0613`, `gpt-4-0314`, `gpt-4-turbo-2024-04-09`, `gpt-3.5-turbo-0125`, `gpt-3.5-turbo-1106`, `watt-tool-8b`, `watt-tool-70b`
- `tool_ids` (list of string, optional, nullable) — エージェントが使用するツールIDのリストです。
- `tool_ids_strict` (boolean, optional, nullable) — 会話のオーバーライドとしてのみ適用され、tool_idsのオーバーライドが許可される場合に使用できます。trueの場合、オーバーライドされたtool_idsは、ワークフローノード上のツールを含む、その会話で許可されるツールの完全な一覧です。エージェントに設定した場合は無視されます。
- `native_mcp_server_ids` (list of string, optional, nullable) — エージェントが使用するネイティブMCPサーバーIDの一覧
- `knowledge_base` (list of KnowledgeBaseLocator, optional, nullable) — エージェントが使用するナレッジベースの一覧

### KnowledgeBaseRagChunkModel

- `chunk_id` (string, required)
- `document_id` (string, required)
- `content` (string, required)

### TransferToAgentToolResultSuccessModelOutputBranchInfo

- `branch_reason`: `configured` (TransferBranchInfoConfigured)
  - `branch_id` (string, required)
- `branch_reason`: `defaulting_to_main` (TransferBranchInfoDefaultingToMain)
  - `branch_id` (string, required)
- `branch_reason`: `traffic_split` (TransferBranchInfoTrafficSplit)
  - `branch_id` (string, required)
  - `traffic_percentage` (double, required)

### WorkflowToolResponseModelOutputStepsItems

- `type`: `edge` (WorkflowToolEdgeStepModel)
  - `edge_id` (string, required)
  - `step_latency_secs` (double, required)
  - `target_node_id` (string, required)
- `type`: `max_iterations_exceeded` (WorkflowToolMaxIterationsExceededStepModel)
  - `max_iterations` (integer, required)
  - `step_latency_secs` (double, required)
- `type`: `nested_tools` (WorkflowToolNestedToolsStepModel)
  - `is_successful` (boolean, required)
  - `node_id` (string, required)
  - `requests` (list of ConversationHistoryTranscriptToolCallCommonModel-Output, required)
  - `results` (list of WorkflowToolResponseModelOutputStepsItemsDiscriminatorMappingNestedToolsResultsItems, required)
  - `step_latency_secs` (double, required)

### KnowledgeBaseLocator

- `type` (enum, required) — ナレッジベースのタイプ
  - Allowed values: `file`, `url`, `text`, `folder`
- `name` (string, required) — ナレッジベースの名前。
- `id` (string, required) — ナレッジベースのID
- `usage_mode` (enum, optional, default: auto) — ナレッジベースの使用モード
  - Allowed values: `prompt`, `auto`

### WorkflowToolResponseModelOutputStepsItemsDiscriminatorMappingNestedToolsResultsItems

## Examples

**Request**

```json
{
  "evaluation_id": "string"
}
```

**Response**

```json
{
  "agent_id": "agent_3701k3ttaq12ewp8b7qv5rfyszkz",
  "status": "processing",
  "metadata": {
    "start_time_unix_secs": 1714423232,
    "call_duration_secs": 10,
    "cost_fiat": 1.1
  },
  "conversation_id": "conv_7401k5m9x2p8ec3rqv6dtnhb0fzw",
  "has_audio": true,
  "has_user_audio": true,
  "has_response_audio": true,
  "has_auxiliary_audio": true,
  "transcript": [
    {
      "role": "user",
      "time_in_call_secs": 10,
      "message": "Hello, how are you?"
    }
  ],
  "agent_name": "My agent",
  "version_id": "agtvrsn_5xM3yVvZQKV0EfqQpLr2",
  "environment": "production",
  "tag_ids": []
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/conversations/conversation_id/analysis/evaluations/run"

payload = { "evaluation_id": "string" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/conversations/conversation_id/analysis/evaluations/run';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"evaluation_id":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/conversations/conversation_id/analysis/evaluations/run"

	payload := strings.NewReader("{\n  \"evaluation_id\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/conversations/conversation_id/analysis/evaluations/run")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"evaluation_id\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/convai/conversations/conversation_id/analysis/evaluations/run")
  .header("Content-Type", "application/json")
  .body("{\n  \"evaluation_id\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/convai/conversations/conversation_id/analysis/evaluations/run', [
  'body' => '{
  "evaluation_id": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/conversations/conversation_id/analysis/evaluations/run");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"evaluation_id\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["evaluation_id": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/conversations/conversation_id/analysis/evaluations/run")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```